igeo.io

## Class IRhino3dmExporter.ChunkOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream
    - - igeo.io.IRhino3dmExporter.ChunkOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable
  Enclosing class:
    IRhino3dmExporter

      public static class IRhino3dmExporter.ChunkOutputStream
      extends java.io.ByteArrayOutputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.zip.CRC32` | `crc`
    `int` | `header`

    - ### Fields inherited from class java.io.ByteArrayOutputStream

      `buf, count`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkOutputStream(int header)`
    `ChunkOutputStream(int header, int majorVersion, int minorVersion)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRhino3dm.Chunk` | `getChunk()`
    `java.util.zip.CRC32` | `getCRC()`

    - ### Methods inherited from class java.io.ByteArrayOutputStream

      `close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

    - ### Methods inherited from class java.io.OutputStream

      `flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### header

          public int header

    - #### crc

          public java.util.zip.CRC32 crc

  - ### Constructor Detail

    - #### ChunkOutputStream

          public ChunkOutputStream(int header)

    - #### ChunkOutputStream

          public ChunkOutputStream(int header,
                                   int majorVersion,
                                   int minorVersion)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getCRC

          public java.util.zip.CRC32 getCRC()

    - #### getChunk

          public IRhino3dm.Chunk getChunk()